Summary:	An archive manager for GNOME
Name:		file-roller
Version: 2.18.0
Release: %mkrel 1
License:	GPL
URL:		http://fileroller.sourceforge.net
Group:		Archiving/Compression
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name-48.png
Source2:	%name-32.png
Source3:	%name-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gtk+2-devel >= 2.5.0
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:  libnautilus-devel >= 2.9.0
BuildRequires:  gnome-vfs2-devel >= 2.9.0
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  libxslt-proc
BuildRequires:  desktop-file-utils
Requires(post):		scrollkeeper >= 0.3 desktop-file-utils
Requires(postun):		scrollkeeper >= 0.3 desktop-file-utils
Requires:	cdrecord-isotools

%description
File Roller is an archive manager for the GNOME environment.  This means that 
you can : create and modify archives; view the content of an archive; view a 
file contained in the archive; extract files from the archive.
File Roller is only a front-end (a graphical interface) to archiving programs 
like tar and zip. The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress, lzop

%prep
%setup -q
touch *

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}):command="%{name}" \
needs="x11" \
section="System/Archiving/Compression" \
title="File-Roller" \
longtitle="An archive manager for GNOME" \
icon="%name.png" startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name-2.0.lang
done

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/{bonobo,nautilus/extensions-1.0}/*.{la,a}

%post
%update_scrollkeeper
%post_install_gconf_schemas file-roller
%{update_menus}
%update_desktop_database
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas file-roller

%postun
%clean_scrollkeeper
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README 
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/nautilus/extensions-1.0/*.so
%{_datadir}/applications/*
%{_datadir}/file-roller
%dir %{_datadir}/omf/file-roller
%{_datadir}/omf/file-roller/file-roller-C.omf
%_libdir/%name
%_datadir/icons/hicolor/*/*/*.*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142086
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126056
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120204
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112063
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106277
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99087
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90777
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 87709
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 86436
- bot rebuild
- new version

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-4mdv2006.0
+ Revision: 64778
- rebuild
- rebuild
- rebuild
- Import file-roller



* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.93-1mdv2007.0
- New release 2.15.93

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.1

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.0
- New release 2.14.3

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Fix buildrequires

* Fri Oct  7 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- replace prereq
- fix buildrequires

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Wed Jul 06 2005 Gtz Waschk <waschk@mandriva.org> 2.10.4-1mdk
- New release 2.10.4

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-1mdk 
- Release 2.10.2 (based on Gtz Waschk package)

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.4-1mdk
- New release 2.8.4

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-3mdk 
- Rebuild with latest howl

* Fri Nov 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk
- Add dependency on cdrecord-isotools

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-1mdk
- New release 2.8.3

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Add lang tag to omf files 

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop patch
- New release 2.6.2

* Wed May 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch0 (CVS): update recent-files to latest CVS version (Mdk bug #9687)

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

* Mon Jan 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4-1mdk
- new version

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.3-1mdk
- new version

* Tue Nov 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix installation (thanks to Frederik Himpe)

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1.1-1mdk
- new version

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.5-1mdk
- Release 2.3.5

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.4-1mdk
- Release 2.3.4

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Add schema uninstall

* Thu Jul 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com 2.3.1-1mdk
- Release 2.3.1

* Tue Jan 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuild against latest openssl
- Add yelp cache generation

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Mon Dec  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-2mdk
- BuildRequires

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.109-1mdk
- Release 1.109

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.108-3mdk
- buildrequires libgtk+-x11-2.0_0-devel

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.108-2mdk
- add menu

* Mon Jul  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.108-1mdk
- Release 1.108

* Wed Jun 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.107-2mdk
- buildrequires on libgail-devel

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.107-1mdk
- Release 1.107

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.106-1mdk
- Release 1.106

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.105-1mdk
- Initial Mdk Package
